## archlinux-contrib-20210710-1.src.tar.gz

=== Makefile ===
PREFIX = /usr/local
SHAREDIR = $(PREFIX)/share/archlinux
BINDIR = $(PREFIX)/bin
REPO = contrib
TAG = $(shell git describe --abbrev=0 --tags)

SCRIPTS = \
	admin/checkservices \
	aur/review	\
	aur/repos2aur	\
	package/parse-submodules \
	package/pkgsearch \
	package/staging2testing \
	security/security-tracker-check \
	package/cleanup-list \
	package/srcinfo-pkg-graph \
	package/rebuild-todo


.PHONY: install
install:
	for script in $(SCRIPTS); do \
		install -Dm755 $${script} -t $(DESTDIR)$(BINDIR)/; \
	done;

.PHONY: uninstall
uninstall:
	for script in $(SCRIPTS); do \
		rm -rf $(DESTDIR)$(BINDIR)/$${script#*/}; \
	done;
	rmdir $(DESTDIR)$(BINDIR)

.PHONY: tag
tag:
	git describe --exact-match >/dev/null 2>&1 || git tag -s $(shell date +%Y%m%d)
	git push --tags

.PHONY: release
release:
	mkdir -p releases
	git archive --prefix=${REPO}-${TAG}/ -o releases/${REPO}-${TAG}.tar.gz ${TAG};
	gpg --detach-sign -o releases/${REPO}-${TAG}.tar.gz.sig releases/${REPO}-${TAG}.tar.gz
	hub release create -m "Release: ${TAG}" -a releases/${REPO}-${TAG}.tar.gz.sig -a releases/${REPO}-${TAG}.tar.gz ${TAG}

=== PKGBUILD ===
# Maintainer: Morten Linderud <foxboron@archlinux.org>

pkgname=archlinux-contrib
pkgver=20210710
pkgrel=1
pkgdesc='Collection of contrib scripts used in Arch Linux'
arch=('any')
license=('GPL')
url='https://github.com/archlinux/contrib'
depends=('python')
optdepends=('python-requests: for security tracker')
source=("https://github.com/archlinux/contrib/releases/download/${pkgver}/contrib-${pkgver}.tar.gz"{,.sig})
validpgpkeys=('C100346676634E80C940FB9E9C02FF419FECBE16')
sha256sums=('df0d7bfa52db69a78d79ccbe57e3ce3429560dc328bce1271daffcfba83cb6f5'
            'SKIP')

package() {
  cd contrib-${pkgver}
  make PREFIX=/usr DESTDIR="${pkgdir}" install
}

# vim: ts=2 sw=2 et:
